Ubuntu One Control Panel

File sync status is incorrect: it reports "File Sync Disabled" but syncdaemon is happy and IDLE

Reported by Natalia Bidart on 2012-05-05
28
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Ubuntu One Control Panel
Status tracked in Trunk
Stable-3-0
Undecided
Diego Sarmentero
Trunk
High
Diego Sarmentero
ubuntuone-control-panel (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned

Bug Description

I've been seen this happening several times now, so I decided to open the bug report.

As you can see in the screenshot attached, the control panel reports "File Sync Disabled" as the file sync status, but syncdaemon is running and working.

nessita@ernst:~$ u1sdtool -s
State: QUEUE_MANAGER
    connection: With User With Network
    description: processing the commands pool
    is_connected: True
    is_error: False
    is_online: True
    queues: IDLE

Attaching syncdaemon config file.

[Test Case]
With ubuntuone-control-panel-qt open, it may sometimes report that File Sync is disabled in the upper right status area, when in fact file sync is working fine. There isn't a known way to force this to happen, so testing is not easy. However, the fix includes unit tests.

[Regression Potential]
Minimal. Fix includes unit tests.

Natalia Bidart (nataliabidart) wrote :
visibility: public → private
description: updated
Natalia Bidart (nataliabidart) wrote :
description: updated
visibility: private → public
Roberto Alsina (ralsina) on 2012-05-07
Changed in ubuntuone-control-panel:
status: New → Triaged
assignee: nobody → Roberto Alsina (ralsina)
importance: Undecided → High
Changed in ubuntuone-control-panel:
assignee: Roberto Alsina (ralsina) → Diego Sarmentero (diegosarmentero)
Leo Arias (elopio) on 2012-05-07
tags: added: desktop+

Natalia, let me know if you can attach the logs, that would be really helpful to debug this.

Brian (brian-lim-ca) wrote :

This happens repeatably for long duration uploads even if `Settings > Power > Don't Suspend` is set. Example: a 3 hour upload.

Natalia Bidart (nataliabidart) wrote :
Download full text (7.5 KiB)

Attaching requested DEBUG logs:

2012-05-09 10:59:19,031 - ubuntuone.controlpanel.backend - DEBUG - sync status: dbus.Dictionary({dbus.String(u'is_error'): dbus.String(u''), dbus.String(u'name'): dbus.String(u'READY'), dbus.String(u'queues'): dbus.String(u'IDLE'), dbus.String(u'connection'): dbus.String(u'With User With Network'), dbus.String(u'is_online'): dbus.String(u''), dbus.String(u'is_connected'): dbus.String(u''), dbus.String(u'description'): dbus.String(u'ready to connect')}, signature=dbus.Signature('ss'))
2012-05-09 10:59:19,031 - ubuntuone.controlpanel.qt.filesyncstatus - DEBUG - process_info: args (<ubuntuone.controlpanel.gui.qt.filesyncstatus.FileSyncStatus object at 0x27e2f80>, {'status': u'file-sync-starting', 'message': u'ready to connect (READY)'}), kwargs {}.
2012-05-09 10:59:19,353 - ubuntuone.controlpanel.backend - DEBUG - sync status: dbus.Dictionary({dbus.String(u'is_error'): dbus.String(u''), dbus.String(u'name'): dbus.String(u'CHECK_VERSION'), dbus.String(u'queues'): dbus.String(u'IDLE'), dbus.String(u'connection'): dbus.String(u'With User With Network'), dbus.String(u'is_online'): dbus.String(u''), dbus.String(u'is_connected'): dbus.String(u'True'), dbus.String(u'description'): dbus.String(u'checking protocol version')}, signature=dbus.Signature('ss'))
2012-05-09 10:59:19,354 - ubuntuone.controlpanel.qt.filesyncstatus - DEBUG - process_info: args (<ubuntuone.controlpanel.gui.qt.filesyncstatus.FileSyncStatus object at 0x27e2f80>, {'status': u'file-sync-syncing', 'message': u'checking protocol version (CHECK_VERSION)'}), kwargs {}.
2012-05-09 10:59:20,148 - ubuntuone.controlpanel.backend - DEBUG - sync status: dbus.Dictionary({dbus.String(u'is_error'): dbus.String(u''), dbus.String(u'name'): dbus.String(u'SET_CAPABILITIES'), dbus.String(u'queues'): dbus.String(u'IDLE'), dbus.String(u'connection'): dbus.String(u'With User With Network'), dbus.String(u'is_online'): dbus.String(u''), dbus.String(u'is_connected'): dbus.String(u'True'), dbus.String(u'description'): dbus.String(u'checking capabilities')}, signature=dbus.Signature('ss'))
2012-05-09 10:59:20,149 - ubuntuone.controlpanel.qt.filesyncstatus - DEBUG - process_info: args (<ubuntuone.controlpanel.gui.qt.filesyncstatus.FileSyncStatus object at 0x27e2f80>, {'status': u'file-sync-syncing', 'message': u'checking capabilities (SET_CAPABILITIES)'}), kwargs {}.
2012-05-09 10:59:20,676 - ubuntuone.controlpanel.backend - DEBUG - sync status: dbus.Dictionary({dbus.String(u'is_error'): dbus.String(u''), dbus.String(u'name'): dbus.String(u'AUTHENTICATE'), dbus.String(u'queues'): dbus.String(u'IDLE'), dbus.String(u'connection'): dbus.String(u'With User With Network'), dbus.String(u'is_online'): dbus.String(u''), dbus.String(u'is_connected'): dbus.String(u'True'), dbus.String(u'description'): dbus.String(u'doing auth dance')}, signature=dbus.Signature('ss'))
2012-05-09 10:59:20,676 - ubuntuone.controlpanel.qt.filesyncstatus - DEBUG - process_info: args (<ubuntuone.controlpanel.gui.qt.filesyncstatus.FileSyncStatus object at 0x27e2f80>, {'status': u'file-sync-syncing', 'message': u'doing auth dance (AUTHENTICATE)'}), kwargs {}.
2012-05-09 10:59:21,480 - ubuntuone.controlpanel.backe...

Read more...

Changed in ubuntuone-control-panel:
status: Triaged → In Progress
Changed in ubuntuone-control-panel:
status: In Progress → Fix Committed
Rodney Dawes (dobey) on 2012-05-17
Changed in ubuntuone-control-panel (Ubuntu Precise):
milestone: none → precise-updates
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-control-panel - 3.0.1-0ubuntu1.1

---------------
ubuntuone-control-panel (3.0.1-0ubuntu1.1) quantal; urgency=low

  * New upstream release.
    - Restore window properly when minimized to tray. (LP: #865688)
    - Make CalculateSize use bytes in os.walk. (LP: #959447)
    - Avoid obstruction of spin button hilights. (LP: #966283)
    - Fix external link buttons for RTL locales. (LP: #983665)
    - Avoid launching duplicate instances. (LP: #987909)
    - File sync status reports disabled while syncdaemon is IDLE. (LP: #995146)
  * debian/watch:
    - Update the watch file to use the stable-3-0 series
 -- Rodney Dawes <email address hidden> Tue, 22 May 2012 14:31:30 -0400

Changed in ubuntuone-control-panel (Ubuntu Quantal):
status: New → Fix Released
Clint Byrum (clint-fewbar) wrote :

Hello! This bug is attached to an upload in the queue for precise-proposed. However, it does not contain the requisite fields for the SRU team to process the upload. Please add them per the process outlined here. To be more succinct, make sure the bug description lists these fields: "Impact, Dev Fix, Stable Fix, Regression Potential, Test case".

https://wiki.ubuntu.com/StableReleaseUpdates#Procedure

The upload will likely not be looked at by the SRU team until these fields are present.

Thank you!

Rodney Dawes (dobey) on 2012-06-01
description: updated

Hello Natalia, or anyone else affected,

Accepted ubuntuone-control-panel into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in ubuntuone-control-panel (Ubuntu Precise):
status: New → Fix Committed
tags: added: verification-needed
Rick McBride (rmcbride) wrote :

on a VM on a slow host, where I was able to reproduce this behavior before, I am no longer seeing the control panel indicator out of sync as described. As the Test Case notes, this is a difficult thing to force, but given the unit tests involved and my observation, I believe this is verified.

[Test Case]
With ubuntuone-control-panel-qt open, it may sometimes report that File Sync is disabled in the upper right status area, when in fact file sync is working fine. There isn't a known way to force this to happen, so testing is not easy. However, the fix includes unit tests.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-control-panel - 3.0.1-0ubuntu1

---------------
ubuntuone-control-panel (3.0.1-0ubuntu1) precise-proposed; urgency=low

  * New upstream release.
    - Restore window properly when minimized to tray. (LP: #865688)
    - Make CalculateSize use bytes in os.walk. (LP: #959447)
    - Avoid obstruction of spin button hilights. (LP: #966283)
    - Fix external link buttons for RTL locales. (LP: #983665)
    - Avoid launching duplicate instances. (LP: #987909)
    - File sync status reports disabled while syncdaemon is IDLE. (LP: #995146)
  * debian/watch:
    - Update the watch file to use the stable-3-0 series
 -- Rodney Dawes <email address hidden> Tue, 22 May 2012 14:31:30 -0400

Changed in ubuntuone-control-panel (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers